<template>
  <div class="flex flex-col">
    <h1 class="text-4xl font-semibold mb-10 text-center">New Task</h1>
    <FormTodo
      :todo="todoAdd"
      :type="'addTodo'"
      @saveTodo="saveTodo"
    >
    </FormTodo>
  </div>
</template>

<script setup lang="ts">
import { ref, computed } from 'vue'
import {useStore} from 'vuex'
import FormTodo from './FormTodo.vue'
import moment from "moment";

const store = useStore();

let todoAdd = ref({
  id: Date.now(),
  name: "",
  description: "",
  date: moment().format("YYYY-MM-DD"),
  priority: 2,
  done: false,
  showDetail: false,
})

function saveTodo() {
  store.dispatch('addTodo', todoAdd.value);
  todoAdd.value = {
    id: Date.now(),
    name: "",
    description: "",
    date: moment().format("YYYY-MM-DD"),
    priority: 2,
    done: false,
    showDetail: false,
  }
}

</script>
